Bug 63200 - rpm update of "filesystem" fails on console-only installation
rpm update of "filesystem" fails on console-only installation
Product: Red Hat Linux
Classification: Retired
Component: filesystem (Show other bugs)
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2002-04-10 21:21 EDT by Need Real Name
Modified: 2014-03-16 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-11 10:32:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-10 21:21:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020313

Description of problem:
"3:filesystem             error: unpacking of archive failed on file
/usr/lib/X11: cpio: rename failed - Is a directory"
message running up2date.  the machine is a console-only machine, with no X11

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.run "up2date -u" as root.
2.allow it to compare list of necessary updates and download
3. up2date tries to install this package, and fails with the above message.

Actual Results:  install fails with:
3:filesystem             error: unpacking of archive failed on file
/usr/lib/X11: cpio: rename failed - Is a directory

Expected Results:  the script should allow for a console-only directory structure!

Additional info:
Comment 1 Bill Nottingham 2002-04-10 21:24:29 EDT
What does 'rpm -qf /usr/lib/X11' say?
Comment 2 Need Real Name 2002-04-10 23:33:19 EDT
it says:
Comment 3 Bill Nottingham 2002-04-11 00:09:43 EDT
Is /usr/lib/X11 a directory? If so, what owns the files under it?
Comment 4 Need Real Name 2002-04-11 10:32:05 EDT
it's all owned by root.
it goes as far as "/usr/lib/X11/app-defaults/pwrchute".  this is the sole file
at the end of that branch.  pwrchute is the power shutdown daemon that comes
with an APC ups.
Comment 5 Bill Nottingham 2002-04-11 11:09:14 EDT
OK, it's a bug in the powerchute package... that package made /usr/lib/X11 a
directory, when it needs to be a symlink (that's what it is in the filesystem
Comment 6 Need Real Name 2002-04-11 22:02:18 EDT
cool!  thanks!!!
ps. red hat do a great job.  love you guys.

Note You need to log in before you can comment on or make changes to this bug.